OVHcloud Connect
All operations require authentication.
List attached OVHcloud Connect servicesProduction
Path parameters
The internal name of your vrack
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ovhCloudConnect \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get an attached OVHcloud Connect serviceProduction
Path parameters
ovhCloudConnect service name
The internal name of your vrack
Response
ovhCloudConnect service name
vrack name
Example uses ovhCloudConnect = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ovhCloudConnect/ {ovhCloudConnect} \
-H "authorization: Bearer $OVH_TOKEN"{ "ovhCloudConnect": "00000000-0000-0000-0000-000000000000", "vrack": "string"}
Attach an OVHcloud Connect serviceProduction
Attach an OVHcloud Connect service. Attaches an OVHcloud Connect service to the vRack. Returns the task that performs it.
Path parameters
The internal name of your vrack
Request body (required)
ovhCloudConnect service name
Response
Task status
cancelleddoingdoneinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ovhCloudConnect \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}
Detach an OVHcloud Connect serviceProduction
Detach an OVHcloud Connect service. Detaches the OVHcloud Connect service from the vRack. Returns the task that performs it.
Path parameters
ovhCloudConnect service name
The internal name of your vrack
Response
Task status
cancelleddoingdoneinittodoExample uses ovhCloudConnect = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ vrack/ {serviceName}/ ovhCloudConnect/ {ovhCloudConnect} \
-H "authorization: Bearer $OVH_TOKEN"{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}